package com.chenyang.druid.sql.dialect.mysql.ast.statement;

import com.chenyang.druid.sql.ast.SQLExpr;
import com.chenyang.druid.sql.ast.statement.SQLAlterTableItem;
import com.chenyang.druid.sql.dialect.mysql.ast.MySqlObjectImpl;
import com.chenyang.druid.sql.dialect.mysql.visitor.MySqlASTVisitor;

public class MySqlAlterTableLock extends MySqlObjectImpl implements SQLAlterTableItem {
   private SQLExpr lockType;

   public void accept0(MySqlASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.lockType);
      }

      visitor.endVisit(this);
   }

   public SQLExpr getLockType() {
      return this.lockType;
   }

   public void setLockType(SQLExpr lockType) {
      this.lockType = lockType;
   }
}
